# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetComponentValue

Function

Returns a specified component of a specified Field.

Syntax
`
#include <dx/dx.h>
`

Object DXGetComponentValue(Field f, char *name)

Functional Details

Typically, Fields have a "positions" component defining a set of points in space, a "connections" component defining the connectivity of the positions, and a "data" component containing the individual data values associated with the individual positions or connections. A Field can be manipulated by accessing these components. The following are just two examples:

- You can transform a Field by calling `DXGetComponentValue(field, "positions")` to return the "positions" component, and then transforming the points it contains.
- You can convert a Field containing vector data to one containing the magnitude of the vector data by calling `DXGetComponentValue(field, "data")` to return the "data" component, and then creating a new "data" component containing the magnitude data to replace it in the Field.

Return Value Returns the `name` component of Field `f` or returns `NULL` and Sets an error code if `f` is not a Field. It does not set an error code if the component does not exist.

See Also

`DXDeleteComponent, DXGetComponentAttribute, DXGetEnumeratedComponentValue, DXSetComponentValue`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]